Opened 4 years ago

Closed 4 years ago

#665 closed defect (duplicate)

update-smart-drivedb not functional

Reported by: petamem Owned by:
Priority: major Milestone: Release 6.5
Component: drivedb Version: 6.4
Keywords: Cc:

Description

Situation Gentoo:

# smartctl -V
smartctl 6.4 2015-06-04 r4109 [x86_64-linux-4.4.3-gentoo] (local build)
Copyright (C) 2002-15, Bruce Allen, Christian Franke, www.smartmontools.org

smartctl comes with ABSOLUTELY NO WARRANTY. This is free
software, and you are welcome to redistribute it under
the terms of the GNU General Public License; either
version 2, or (at your option) any later version.
See http://www.gnu.org for further details.

smartmontools release 6.4 dated 2015-06-04 at 16:29:41 UTC
smartmontools SVN rev 4109 dated 2015-06-04 at 16:30:15
smartmontools build host: x86_64-pc-linux-gnu
smartmontools build with: GCC 5.3.0
smartmontools configure arguments: '--prefix=/usr' '--build=x86_64-pc-linux-gnu' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--disable-dependency-tracking' '--libdir=/usr/lib64' '--docdir=/usr/share/doc/smartmontools-6.4' '--with-initscriptdir=/etc/init.d' '--without-libcap-ng' '--without-selinux' '--with-systemdsystemunitdir=/usr/lib/systemd/system' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CXXFLAGS=-march=corei7 -O2 -fvect-cost-model -ftree-vectorize -pipe' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed' 'CFLAGS=-march=corei7 -O2 -fvect-cost-model -ftree-vectorize -pipe' 'PKG_CONFIG_PATH=/usr/lib64/pkgconfig'

# /usr/sbin/update-smart-drivedb
/usr/share/smartmontools/drivedb.h.error: rejected by /usr/sbin/smartctl, probably no longer compatible

Situation Debian: (well - sort of as we got it from SVN)

# smartctl -V
smartctl 5.41 2011-06-09 r3365 [x86_64-linux-3.19.3] (local build)
Copyright (C) 2002-11 by Bruce Allen, http://smartmontools.sourceforge.net

smartctl comes with ABSOLUTELY NO WARRANTY. This is free
software, and you are welcome to redistribute it under
the terms of the GNU General Public License Version 2.
See http://www.gnu.org for further details.

smartmontools release 5.41 dated 2011-06-09 at 18:46:32 UTC
smartmontools SVN rev 3365 dated 2011-06-09 at 18:47:31
smartmontools build host: x86_64-unknown-linux-gnu
smartmontools build configured: 2011-06-19 15:53:59 UTC
smartctl compile dated Jun 19 2011 at 15:54:19
smartmontools configure arguments: '--prefix=/usr' '--sysconfdir=/etc' '--mandir=/usr/share/man' '--with-initscriptdir=/etc/init.d' '--with-docdir=/usr/share/doc/smartmontools' '--enable-drivedb' '--enable-savestates' '--enable-attributelog' '--with-savestates=/var/lib/smartmontools/smartd.' '--with-attributelog=/var/lib/smartmontools/attrlog.' '--with-exampledir=/usr/share/doc/smartmontools/examples/' '--with-selinux' 'CXXFLAGS=-g -O2' 'LDFLAGS=' 'CPPFLAGS=' 'CFLAGS=-g -O2 -fsigned-char -Wall -O2'

# /usr/sbin/update-smart-drivedb
/usr/share/smartmontools/drivedb.h.error: rejected by /usr/sbin/smartctl, probably no longer compatible

Change History (1)

comment:1 in reply to:  description Changed 4 years ago by Christian Franke

Component: alldrivedb
Milestone: Release 6.5
Resolution: duplicate
Status: newclosed

Already fixed with r4223, see ticket #659.

For a quick fix, simply change SRCEXPR='http://...' to SRCEXPR='https://...'.

A note regarding:

Situation Debian: (well - sort of as we got it from SVN)

Newer Debian and Ubuntu packages no longer provide update-smart-drivedb, see Debian Bug #804299.

Note: See TracTickets for help on using tickets.